[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#387903: [powerpc] bcm43xx module (802.11) wireless issues with 2.6.17-9 - iBook G4

On Sun, 2006-09-17 at 12:21 +0100, Mark Purcell wrote:
> Package: linux-image-2.6.17-2-powerpc
> Version: 2.6.17-9
> Severity: important
> Since upgrading to 2.6.17-9, running on an ibook G4 with the Broadcomm
> 4318 wireless there are issues with the kernel supplied bcm43xx module.
> Reverting to 2.6.17-8 (from testing) and the bcm43xx module operates 
> as expected.
> The problems I am seeing with -9 include, not being able to associate
> with an access point, or when I am associated the connection is
> unreliable and drops out.
> bcm43xx is a new module in the kernel and I anticipate these are some
> teething issues, but wanted to let people know which versions of the
> kernel I have found to work.
> Can anyone else from debian-powerpc confirm or otherwise issues with 
> bcm43xx and 2.6.17-9 version of the kernel.
> I find that the 2.6.16 kernel support for the bcm43xx isn't great, but
> did have success with 2.6.15 kernels and the no defunt bcm43xx-source
> package.
> Mark
> 0001:10:12.0 Network controller: Broadcom Corporation BCM4318 [AirForce One 54g] 802.11g Wireless LAN Controller (rev 02)

>From my reading of the documentation and mailing list archives on
http://bcm43xx.berlios.de/ , the 4318 is currently 'unsupported'. I
certainly haven't got it to work at all with self-built 2.6.18-rc nor
some version of linux-image-2.6.17-2-powerpc, although I hadn't tried
hard with the latter. I'll try your workaround but am also open for any
other suggestions.

Earthling Michel Dänzer           |          http://tungstengraphics.com
Libre software enthusiast         |          Debian, X and DRI developer

Reply to: